Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 203662 - Review Request: dx - Open source version of IBM's Visualization Data Explorer
Summary: Review Request: dx - Open source version of IBM's Visualization Data Explorer
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul F. Johnson
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 205057
TreeView+ depends on / blocked
 
Reported: 2006-08-22 21:12 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2008-02-08 18:23 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-17 11:32:38 UTC
Type: ---
Embargoed:
dennis: fedora-cvs+


Attachments (Terms of Use)
rpmlint errors from main dx package (deleted)
2006-09-03 18:57 UTC, Paul F. Johnson
no flags Details

Description Dominik 'Rathann' Mierzejewski 2006-08-22 21:12:55 UTC
Spec URL: http://rpm.greysector.net/extras/dx.spec
SRPM URL: http://rpm.greysector.net/extras/dx-4.4.0-1.src.rpm
Description:
OpenDX is a uniquely powerful, full-featured software package for the
visualization of scientific, engineering and analytical data: Its open
system design is built on familiar standard interface environments. And its
sophisticated data model provides users with great flexibility in creating
visualizations.

Comment 1 Dominik 'Rathann' Mierzejewski 2006-08-22 23:08:16 UTC
For the record, it builds with lesstif (bugzilla #203274), so the transition
after openmotif is dropped will be quite painless.

Comment 2 Paul F. Johnson 2006-08-23 21:01:49 UTC
Quick notes...

Release: 1 - needs the dist
License: IBM Public License - is this a valid licence Fedora is happy with?
%prep
%{__libtoolize} --force
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake} -a

Is this lot really needed or can the relibtoolize thing work?

	--with-jni-path=%{java_home}/include \

You need something in the BR if java is going to be used

You have 

%{_libdir}/%{name}/ in files and %{_libdir}/%{name}/samples in samples. As the
files has already taken ownership of %{_libdir}/%{name}, does the second one
need to be in there?

Comment 3 Dominik 'Rathann' Mierzejewski 2006-08-23 21:07:14 UTC
dist - ACK, will fix

License is OSI-approved: http://www.opensource.org/licenses/ibmpl.php

%prep - I prefer to spell them out, autoreconf never worked for me

java support is in todo it doesn't build currently, hence commented out
BuildRequires: java-devel

I have %exclude %{_libdir}/dx/samples in main
and %{_libdir}/dx/samples in -samples


Comment 4 Paul F. Johnson 2006-08-28 21:42:32 UTC
build fails

memory.c:69:23: error: linux/sys.h: No such file or directory

Comment 5 Dominik 'Rathann' Mierzejewski 2006-08-29 20:08:04 UTC
Build successfuly in fc5 mock. It's a bug in kernel-headers in devel (missing
sys.h). Filed bug #204538.

Comment 6 Dominik 'Rathann' Mierzejewski 2006-08-30 08:35:14 UTC
According to David, dx is to blame for using a private kernel header. I'll try
patching it out of it then.

Comment 7 Dominik 'Rathann' Mierzejewski 2006-08-30 21:18:10 UTC
http://rpm.greysector.net/extras/dx.spec
http://rpm.greysector.net/extras/dx-4.4.0-2.src.rpm

And success! It builds in fc6 mock.

Comment 8 Paul F. Johnson 2006-08-31 23:21:47 UTC
And completely fails to build here. Dies when it gets to compiling the java stuff 

ERRORS
uipp/java/./dx/net/WELApplication.java
   import netscape.javascript.JSObject; (netscape doesn't exist)
   import vrml.external.Node; (vrml doesn't exist)
   extends DXLinkApplication implements vrml... (vrml can't be resolved to type)
   private EventOutSFTime touchTimeEO; (EventOutSFTime can't resolved to type)
   private EventOutSFVec3f vps_tp = null; (as above for EventOutSFVec3f)
   private JSObject window; (JSObject can't be resolved to type)

There plenty of these. Is the spec missing a BR or two?

Comment 9 Dominik 'Rathann' Mierzejewski 2006-09-01 00:58:13 UTC
Hm. Java parts are not supposed to build. I've intentionally commented out java
BRs from the spec. Are you building in mock? If not, you probably have
java-devel installed and configure picks that up and tries to build the java
parts. It builds fine in mock for me.

Comment 10 Ville Skyttä 2006-09-01 08:18:57 UTC
(In reply to comment #9)
> Hm. Java parts are not supposed to build. I've intentionally commented out java
> BRs from the spec.

This is not good enough for reproducible builds, as demonstrated in comment 8. 
If you intend to have the java parts not built, be explicit about it, eg. using
an argument to ./configure, patch things, or as a last resort if everything else
fails, try BuildConflicts.

Comment 11 Dominik 'Rathann' Mierzejewski 2006-09-03 00:07:42 UTC
http://rpm.greysector.net/extras/dx.spec
http://rpm.greysector.net/extras/dx-4.4.0-3.src.rpm

- removed -samples, will package separately
- disable java parts completely for now
- fixed build on fc6
- moved non-binary stuff to _datadir

Comment 12 Paul F. Johnson 2006-09-03 18:57:45 UTC
Created attachment 135465 [details]
rpmlint errors from main dx package

Something is seriously wrong with the package here. It builds fine and the srpm
is clean with rpmlint, but the main package gives the errors with this
attachment (piles of them!) and the devel package gives

E: dx-devel only-non-binary-in-usr-lib
W: dx-devel no-documentation (not worried by that)

Comment 13 Dominik 'Rathann' Mierzejewski 2006-09-03 19:22:15 UTC
E: dx wrong-script-interpreter /usr/share/dx/help/dxall549
"F-adobe-helvetica-medium-r-normal--18*"
E: dx non-executable-script /usr/share/dx/help/dxall549 0644

These errors are to be ignored, IMHO. Those are help files, not scripts.

E: dx-devel only-non-binary-in-usr-lib
This is caused by arch.mak file being in %_libdir, I'll move it to %_includedir/dx

Comment 14 Paul F. Johnson 2006-09-10 15:00:39 UTC
Have you updated the spec and srpms? If you have, please can you post the URL
for them? If it's only the spec file which has altered, you only need to upload
that.

Comment 15 Dominik 'Rathann' Mierzejewski 2006-09-12 13:37:07 UTC
http://rpm.greysector.net/extras/dx.spec
http://rpm.greysector.net/extras/dx-4.4.0-4.src.rpm

- moved arch.mak to _includedir/dx
- fixed program startup from the main ui


Comment 16 Paul F. Johnson 2006-09-16 23:05:27 UTC
Review:

builds fine in mock, rpmlint doesn't like the packages but on this occasion, the
errors can be ignored
Software installs and works

Good
consistent use of macros
in US-English, UTF-8
License valid
upstream and source tarballs have same md5
correct use of dist
uses smp_mflags
contains docs
contains clean
no ownership problems
devel package doesn't need pkgconfig
no dupes in the rpms

Needs work
%configure \
	--disable-static \
	--enable-shared \
	--with-jni-path=%{java_home}/include \
	--without-javadx \
	--disable-dependency-tracking \
	--enable-smp-linux \
	--enable-new-keylayout \
	--with-rsh=%{_bindir}/ssh \

Trailing \ on the end should not be there.

If you remove this, I'm happy to approve the package as is.

Comment 17 Dominik 'Rathann' Mierzejewski 2006-09-16 23:16:39 UTC
Removed:

http://rpm.greysector.net/extras/dx.spec

You're really picky.

Comment 18 Paul F. Johnson 2006-09-16 23:18:58 UTC
I know, but you love me really :-)

APPROVED

Comment 19 Dominik 'Rathann' Mierzejewski 2006-09-16 23:20:55 UTC
Likewise, thanks!

Comment 20 Dominik 'Rathann' Mierzejewski 2006-09-17 02:11:28 UTC
Imported (wow, that took a while) and built (with a small fix) for devel, FC-5
branch requested.

Comment 21 Dominik 'Rathann' Mierzejewski 2007-07-04 10:45:06 UTC
Package Change Request
======================
Package Name: dx
New Branches: EL-5


Comment 22 Kevin Fenzi 2007-07-04 18:04:52 UTC
cvs done.

Comment 23 Dominik 'Rathann' Mierzejewski 2008-02-08 13:26:48 UTC
Package Change Request
======================
Package Name: dx
New Branches: EL-4

Comment 24 Dennis Gilmore 2008-02-08 18:23:56 UTC
cvs done 


Note You need to log in before you can comment on or make changes to this bug.